This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 1052001 (CVE-2014-0010)

Summary: CVE-2014-0010 moodle: Cross-Site Request Forgery (CSRF) flaws in profile fields (MSA-14-0003)
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrusnack, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140120,reported=20140110,source=distros,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/moodle=affected,epel-all/moodle=affected,cwe=CWE-352
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 11:37:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1055388, 1055390    
Bug Blocks:    

Description Murray McAllister 2014-01-13 00:14:55 EST
Jun Zhu found that some profile fields were vulnerable to Cross-Site Request Forgery (CSRF). An attacker could use these flaws to perform actions on profiles (such as deleting categories). These issues affected Moodle versions 2.6, 2.5 to 2.5.4, 2.4 to 2.4.7, 2.3 to 2.3.10 and earlier unsupported versions. It has been fixed in 2.6.1, 2.5.4, 2.4.8 and 2.3.11.

I have not checked if versions 1.9.19 in EPEL 5 is affected or not.

Patch:

http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-42883
Comment 1 Ratul Gupta 2014-01-20 02:22:46 EST
Created moodle tracking bugs for this issue:

Affects: fedora-all [bug 1055388]
Affects: epel-all [bug 1055390]
Comment 2 Murray McAllister 2014-01-20 18:30:32 EST
Upstream announcement:

https://moodle.org/mod/forum/discuss.php?d=252416